import requestWhite from '@/apis/utils/requestWhite'
import request from '@/apis/utils/request'
 

// 零工驿站
//  /mobile/recruit/findRecruitSearch
// status = 1

// 我的共享用工删除
export function myShareWorkDelete(data) {
	var url='/mobile/recruit/myShareWorkDelete';
	return request({
		method: 'post',
		data: data,
		url: url
	})
}

// 我的共享用工
export function myShareWork(data) {
	var url='/mobile/recruit/myShareWork';
	return request({
		method: 'post',
		data: data,
		url: url
	})
}

// 发布共享用工信息
export function createShareWork(data) {
	var url='/mobile/recruit/createShareWork';
	return request({
		method: 'post',
		data: data,
		url: url
	})
}

export function findRecruitSearch(data) {
 	return requestWhite({
 		method: 'post',
 		data: data,
 		url: '/mobile/recruit/findRecruitSearch'
 	})
}

export function newsList(data) {
 	return requestWhite({
 		method: 'post',
 		data: data,
 		url: '/mobile/news/newsList'
 	})
}

export function newsDetail(data) {
 	return requestWhite({
 		method: 'post',
 		data: data,
 		url: '/mobile/news/newsDetail'
 	})
}

// 共享用工详细
export function shareWorksDetail(data) {
 	return requestWhite({
 		method: 'post',
 		data: data,
 		url: '/mobile/news/shareWorksDetail'
 	})
}

export function shareWorksList(data) {
 	return requestWhite({
 		method: 'post',
 		data: data,
 		url: '/mobile/news/shareWorksList'
 	})
}

export function cancelTraining(data) {
 	return requestWhite({
 		method: 'post',
 		data: data,
 		url: '/mobile/training/cancelTraining'
 	})
}
export function joinTraining(data) {
 	return requestWhite({
 		method: 'post',
 		data: data,
 		url: '/mobile/training/joinTraining'
 	})
}
export function trainingDetail(data) {
 	return requestWhite({
 		method: 'post',
 		data: data,
 		url: '/mobile/training/trainingDetail'
 	})
}

export function trainingList(data) {
 	return requestWhite({
 		method: 'post',
 		data: data,
 		url: '/mobile/training/trainingList'
 	})
}

export function uploadPicture(data) {
 	return requestWhite({
 		method: 'post',
 		data: data,
 		url: '/uploadPicture'
 	})
}

export function createJobHunt(data) {
 	return request({
 		method: 'post',
 		data: data,
 		url: '/mobile/job/createJobHunt'
 	})
}

export function createRecruit(data) {
 	return request({
 		method: 'post',
 		data: data,
 		url: '/mobile/recruit/createRecruit'
 	})
}


export function recruitDetail(data) {
 	return requestWhite({
 		method: 'post',
 		data: data,
 		url: '/mobile/recruit/recruitDetail'
 	})
}

export function myJobHunt(data) {
 	return request({
 		method: 'post',
 		data: data,
 		url: '/mobile/job/myJobHunt'
 	})
}

export function joinRecruit(data) {
 	return request({
 		method: 'post',
 		data: data,
 		url: '/mobile/job/joinRecruit'
 	})
}

export function myEmployment(data) {
 	return request({
 		method: 'post',
 		data: data,
 		url: '/mobile/recruit/myEmployment'
 	})
}
export function myEmploymentDelete(data) {
 	return request({
 		method: 'post',
 		data: data,
 		url: '/mobile/recruit/myEmploymentDelete'
 	})
}
export function myEmploymentRefresh(data) {
 	return request({
 		method: 'post',
 		data: data,
 		url: '/mobile/recruit/myEmploymentRefresh'
 	})
}
export function myReceivedRegistration(data) {
 	return request({
 		method: 'post',
 		data: data,
 		url: '/mobile/recruit/myReceivedRegistration'
 	})
}

export function jobHuntDetail(data) {
 	return requestWhite({
 		method: 'post',
 		data: data,
 		url: '/mobile/job/jobHuntDetail'
 	})
}

export function inviteJob(data) {
 	return request({
 		method: 'post',
 		data: data,
 		url: '/mobile/recruit/inviteJob'
 	})
}

export function myRegistration(data) {
 	return request({
 		method: 'post',
 		data: data,
 		url: '/mobile/job/myRegistration'
 	})
}


// 实名/企业认证
export function createAuthentication(data) {
	var url='/mobile/user/createAuthentication';
	return request({
		method: 'post',
		data: data,
		url: url
	})
}